Logo
OpenScaler
API DocumentationElastic Servers

List elastic server nodes

GET
/v1/elastic-servers/{es_id}/nodes

List VMs/nodes in the elastic server pool.

Authorization

bearer_auth
AuthorizationBearer <token>

OAuth Authentication

OpenScaler API uses OAuth, a standard for secure authorization. To access the API, obtain a token via the OpenScaler Platform.

Use the access_token in the Authorization header for requests:

Authorization: Bearer <token>

Always keep your token secure and do not share it with anyone.

In: header

Path Parameters

es_id*string

A unique identifier for an elastic server pool.

Formatuuid

Response Body

application/json

application/json

text/pain

application/json

application/json

curl -X GET "https://example.com/v1/elastic-servers/a1b2c3d4-e5f6-7890-abcd-ef1234567890/nodes"
{  "nodes": [    {      "id": "cc3ccab2-0ae2-11ef-9136-6a0922f6458b",      "name": "my-example-computer",      "user_id": "7247ba6a-b17d-4c72-94f1-a36108aee56d",      "project_id": "default",      "uuid": "cc8b9d3c-fe4d-11ee-91c9-6aca7850c3b4",      "region": "alg1",      "description": "My example computer (generated from API)",      "distro": "debian-13",      "size": "b-1-500mb-10",      "memoryMB": 1024,      "vcpus": 1,      "storageGB": 161061273600,      "transferGB": 1000,      "vpc_id": "f47ac10b-58cc-4372-a567-0e02b2c3d479",      "node_type": "VM",      "created_at": "2024-04-19T13:07:39",      "updated_at": "2024-04-19T13:07:39"    }  ]}
{  "errors": [    {      "message": "'vcpus' field must be an integer",      "field": "resource_id"    }  ]}
"Access denied"
{  "errors": [    {      "message": "User not initialized (missing required fields in token), please init user by sending POST request to `/v1/init` then refresh your token\n"    }  ]}
{  "errors": [    {      "message": "VM with ID 23 not found"    }  ]}